# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ExternallyDefinedItem Class Reference

Representation of STEP entity ExternallyDefinedItem
.

`#include <StepBasic_ExternallyDefinedItem.hxx>`

Inheritance diagram for StepBasic_ExternallyDefinedItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ExternallyDefinedItem ()
| Empty constructor .
Standard_EXPORT void | Init (const StepBasic_SourceItem &aItemId, const Handle(StepBasic_ExternalSource)&aSource)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepBasic_SourceItem | ItemId () const
| Returns field ItemId .
Standard_EXPORT void | SetItemId (const StepBasic_SourceItem &ItemId)
| Set field ItemId .
Standard_EXPORT Handle_StepBasic_ExternalSource | Source () const
| Returns field Source .
Standard_EXPORT void | SetSource (const Handle(StepBasic_ExternalSource)&Source)
| Set field Source .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_SourceItem | theItemId
Handle_StepBasic_ExternalSource | theSource

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ExternallyDefinedItem::StepBasic_ExternallyDefinedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ExternallyDefinedItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepVisual_ExternallyDefinedCurveFont, and StepVisual_ExternallyDefinedTextFont.

Standard_EXPORT void StepBasic_ExternallyDefinedItem::Init | ( | const StepBasic_SourceItem & | aItemId,
|  | const Handle(StepBasic_ExternalSource)& | aSource
| ) |

Standard_EXPORT StepBasic_SourceItem StepBasic_ExternallyDefinedItem::ItemId | ( |  | ) | const

Standard_EXPORT void StepBasic_ExternallyDefinedItem::SetItemId | ( | const StepBasic_SourceItem & | ItemId | ) |

Standard_EXPORT void StepBasic_ExternallyDefinedItem::SetSource | ( | const Handle(StepBasic_ExternalSource)& | Source | ) |

Standard_EXPORT Handle_StepBasic_ExternalSource StepBasic_ExternallyDefinedItem::Source | ( |  | ) | const

## Field Documentation

StepBasic_SourceItem StepBasic_ExternallyDefinedItem::theItemId `[private]`

Handle_StepBasic_ExternalSource StepBasic_ExternallyDefinedItem::theSource `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ExternallyDefinedItem.hxx